gnutls_certificate_expiration_time_peers(3)

NAME
gnutls_certificate_expiration_time_peers - API function

SYNOPSIS
#include <gnutls/gnutls.h>

time_t gnutls_certificate_expiration_time_peers(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function will return the peer's certificate expiration time.

RETURNS
(time_t)-1 on error.

DEPRECATED
gnutls_certificate_verify_peers2() now verifies expiration times.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/